package com.dcit.authority.service.impl;

import com.dcit.authority.dao.SysDictMapper;
import com.dcit.authority.model.SysDict;
import com.dcit.authority.model.SysDictExample;
import com.dcit.authority.service.SysDictService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysDictServiceImpl implements SysDictService{

    @Autowired
    private SysDictMapper sysDictMapper;


    @Override
    public int countByExample(SysDictExample example) {
        return sysDictMapper.countByExample(example);
    }

    @Override
    public int deleteByExample(SysDictExample example) {
        return sysDictMapper.deleteByExample(example);
    }

    @Override
    public int deleteByPrimaryKey(String dictId) {
        return sysDictMapper.deleteByPrimaryKey(dictId);
    }

    @Override
    public int insert(SysDict record) {
        return sysDictMapper.insert(record);
    }

    @Override
    public int insertSelective(SysDict record) {
        return sysDictMapper.insertSelective(record);
    }

    @Override
    public List<SysDict> selectByExample(SysDictExample example) {
        return sysDictMapper.selectByExample(example);
    }

    @Override
    public SysDict selectByPrimaryKey(String dictId) {
        return sysDictMapper.selectByPrimaryKey(dictId);
    }

    @Override
    public int updateByExampleSelective(SysDict record, SysDictExample example) {
        return sysDictMapper.updateByExampleSelective(record,example);
    }

    @Override
    public int updateByExample(SysDict record, SysDictExample example) {
        return sysDictMapper.updateByExample(record,example);
    }

    @Override
    public int updateByPrimaryKeySelective(SysDict record) {
        return sysDictMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(SysDict record) {
        return sysDictMapper.updateByPrimaryKey(record);
    }
}